AWS
action ELBv2

# deregister_target

Deregisters one random target from target group

Run it now
View details

Type | action
Module | chaosaws.elbv2.actions
Name | deregister_target
Return | mapping

Usage

JSON

    {
      "name": "deregister-target",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosaws.elbv2.actions",
        "func": "deregister_target",
        "arguments": {
          "tg_name": ""
        }
      }
    }

YAML

    name: deregister-target
    provider:
      arguments:
        tg_name: ""
      func: deregister_target
      module: chaosaws.elbv2.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
tg_name | str |  | Yes | Target Group Name |

Signature

    def deregister_target(
            tg_name: str,
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- AWS
  probe ELBv2

  ## `targets_health_count`

  Count of healthy/unhealthy targets per targetgroup
- AWS
  action ELBv2

  ## `set_security_groups`

  Changes the security groups for the specified load balancer(s)
- AWS
  probe ELBv2

  ## `all_targets_healthy`

  Return true/false based on if all targets for listed target groups are healthy